<?php

class CommandPhpSectionMove extends Command{
  
  public function Execute($Args) {
    if(true === isset($Args->FromZip) && true !== isset($Args->From)){
//      echo "hereFromZip:".$Args->FromZip."<br />";
      $VarFrom = $this->ObjUpdateMod->UpdateExtractFolder . $Args->FromZip;
    }
    elseif(true === isset($Args->From) && true !== isset($Args->FromZip)){
      $VarFrom = $_SERVER['DOCUMENT_ROOT'] .'/../'. $Args->From;
    }
    else{
      return FALSE;
    }
    $VarTo = $_SERVER['DOCUMENT_ROOT'] .'/../';
    if(true === isset($Args->To)){
      $VarTo .= $Args->To;
    }

    $VarResult = rename($VarFrom, $VarTo);
    return $VarResult;
  }
//  public function Execute($VarDir) {
//  
//    return false;
//  }
}
?>